// ReSharper disable all
using System;
using System.Text;
using NUnit.Framework;
using static Matriisit;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestMatriisit
	{
		[Test]
		public  void TestMiltaRiviltaLoytyy51()
		{
			int[,] matriisi = {
			{1,2,3},
			{4,5,6},
			{7,8,9},
			{10,11,12}
			};
			Assert.AreEqual( 2, MiltaRiviltaLoytyy(matriisi, 8) , "in method MiltaRiviltaLoytyy, line 58");
			Assert.AreEqual( 0, MiltaRiviltaLoytyy(matriisi, 1) , "in method MiltaRiviltaLoytyy, line 59");
			Assert.AreEqual( 3, MiltaRiviltaLoytyy(matriisi, 12) , "in method MiltaRiviltaLoytyy, line 60");
			Assert.AreEqual( -1, MiltaRiviltaLoytyy(matriisi, 15) , "in method MiltaRiviltaLoytyy, line 61");
		}
	}

